#include <stdlib.h>
#include <string.h>
#include <avr/io.h>
#include <avr/interrupt.h>
#include <avr/pgmspace.h>
#include <avr/wdt.h>
#include <util/delay.h>

#define bit_set(port,bit)       { port |= (1<<(bit));}
#define bit_clear(port,bit)     { port &= ~(1<<(bit));}
#define min(a,b)                ((a)<(b) ? (a):(b))

#define nop()   __asm__ volatile ("nop" )
#define wdr()   __asm__ volatile("wdr" )
#define sleep()   __asm__ volatile("sleep" )

uint8_t t_skip1a(uint8_t a, uint8_t *p) {
	if (a & 1) *p++ = a;
	*p = 0;
	return a & 1;
}

uint8_t t_skip1b(uint8_t a, uint8_t *p) {
	if (a & 1) *p = a;
	*(++p) = 0;
	return a & 1;
}

uint8_t t_skip2a(uint8_t a, uint8_t b, uint8_t *p) {
	if (a != b) *p++ = a;
	*p = 0;
	return a & 1;
}

uint8_t t_skip2b(uint8_t a, uint8_t b, uint8_t *p) {
	if (a != b) *p = a;
	*(++p) = 0;
	return a & 1;
}
